LDIF(8C)

NAME
ldif - convert arbitrary data to LDIF format

SYNOPSIS
ETCDIR/ldif [-b] attr-name

DESCRIPTION

This program is used to convert arbitrary data to the LDAP Directory Interchange Format (LDIF) described in ldif(5). ldif reads data from standard input, converts it, and writes the corresponding LDIF output to standard output. The output is suitable for use as a line in an ldif(5) file.

Without the -b flag, ldif considers its input a sequence of values to be converted, one per line. With the -b flag, ldif considers its input as a single raw binary value to be converted. This can be useful when converting binary data such as a photo or audio attribute.

See "The SLAPD and SLURPD Administrator's Guide" for more details on using this program.

OPTIONS

-b  This option specifies that ldif should interpret its input as a single binary value for conversion. Otherwise, it interprets it as a sequence of lines, with each line containing a single value.

SEE ALSO
ldap(3), ldif(5), ldif2ldbm(8), slapd(8)

"The SLAPD and SLURPD Administrator's Guide"